Revert "oops, for now"
authormirabilos <t.glaser@tarent.de>
Fri, 26 Jul 2019 23:39:31 +0000 (01:39 +0200)
committermirabilos <mirabilos@evolvis.org>
Fri, 26 Jul 2019 23:39:31 +0000 (01:39 +0200)
This reverts commit d144dee91569827032f946a0b5e7e87870ebbb05.

Dist.sh

diff --git a/Dist.sh b/Dist.sh
index ca1075f..53917aa 100644 (file)
--- a/Dist.sh
+++ b/Dist.sh
@@ -7,17 +7,17 @@ export LC_ALL; unset LANGUAGE
 set -e
 set -o pipefail
 cd "$(dirname "$0")"
-x= #$(git status --porcelain)
+x=$(git status --porcelain)
 if [[ -n $x ]]; then
        print -ru2 -- "N: git status info follows"
        print -r -- "$x" | sed 's/^/N:  /' >&2
        print -ru2 -- "E: source tree not clean"
-       exit 1
+:||    exit 1
 fi
 set -x
 
-#x=$(git show --no-notes -s --pretty=tformat:%cd --date=format:%Y%m%d%H%M.%S)
-#git ls-tree -r --name-only -z HEAD | xargs -0 touch -h -t "$x" --
+x=$(git show --no-notes -s --pretty=tformat:%cd --date=format:%Y%m%d%H%M.%S)
+git ls-tree -r --name-only -z HEAD | xargs -0 touch -h -t "$x" --
 
 git ls-tree -r --name-only -z HEAD | sort -z | pax -w -0 -P \
     -x ustar -o write_opt=nodir -b 512 -M dist -s "!^!mgp-$1/!" | \